<?php
class LogoCentered{
  function layout($menu){
    $links = "<li class='noDisplay'>";
    $isMain = true;

    $center = 0;
    foreach ($menu as $m){
      if($m->menu_item_parent === '0'){
        $center++;
      }
    }
    $center = floor($center/2);
    $logo = get_custom_logo() ? "<img src=".wp_get_attachment_image_src( get_theme_mod( 'custom_logo' ), 'full' )[0]." id='WPsiteLogo'/>" : get_bloginfo('name');

    foreach ($menu as $m){
      if($m->menu_item_parent === '0'){
        if($isMain) $links .="</li><li><a class='nav-link' href='$m->url'>$m->title</a>" ;
        else $links .="</div></li><li><a class='nav-link' href='$m->url'>$m->title</a>" ;

        $center--;
        if($center == 0){
          $links .= "</li><li class='noDisplay'><a class='nav-link' href='/'>";
          $links .= $logo;
          $links .= "</a>";
        }

        $isMain = true;
      }else{
        if($isMain) $links .="<div class='sub-nav-wrap'><a class='sub-nav-link' href='$m->url'>$m->title</a>" ;
        else $links .="<a class='sub-nav-link' href='$m->url'>$m->title</a>" ;
        $isMain = false;
      }
    }
    $links .= "</li>"
    ?>
    <header>
      <nav id="customNavbar">
        <div class="mobileCentered"><?php echo $logo; ?></div>
        <div class="container" >
          <div class="flexMain" style="justify-content:center">
            <div id="headerMenuButton">
              <button onclick="toggleHeaderMenu('collapsibleMenu')">Menu</button>
            </div>
            <div id="collapsibleMenu" class="customDisplay">
              <ul class="db_links_navbar">
                <?php echo $links; ?>
              </ul>
            </div>
          </div>
        </div>
      </nav>
    </header>
  <?php }
}
?>
